    id geometry
        Returns the list containing the current position and size of the widget as root_x, root_y, width and height.

    id delete
        Deletes the widget and the associated tcl command.

    id configure [-option value...]
        Configures the widget. Option may have any of the values accepted on creation of the widget.

    id signalEmit -------------------------------------------------------------------

    id erase startIndex ?endIndex?
        Removes all text between startIndex and endIndex. endIndex defaults to end.

    id select startIndex ?endIndex?
        Select the text between startIndex and endIndex. endIndex defaults to end.

    id get startIndex ?endIndex?
        Returns the text between startIndex and endIndex. endIndex defaults to end.

    id cut
        Copies all text to the clipboard and removes it from the widget.

    id copy
        Copies all text to the clipboard.

    id dump ?all|text|tags|window|images|marks? startIndex ?endIndex?
        Dumps requested content of the text widget.

    id paste
        Pastes text from the clipboard at the current cursor position.

    id getLength
        Returns the number of characters in the widget.

    id getWordLength index
        Returns the number of characters in the word that contains the given index.

    id getLineCount
        Returns the number of lines in the current text view.

    id getLineLength index
        Returns the number of characters in the line specified by the given index.

    id getCursor
        Returns the position position of the cursor as list of its row and column.

    id gotoWordStart
        Move the cursor to the start of the word in which it is occupied.

    id gotoWordEnd
        Move the cursor to the start of the word in which it is occupied.

    id parent
        Returns the name of the widget parent.

    id replace <string1> <string2>
        Replace all occurance of string1 with string2. Returns the total number of items replaced.

    id search <string>
        Returns a list containting all of the occurances of string in GtkTextBuffer.

    OPTIONS
        -tags {tag1.. }
        Type: string
        List of tags to apply to selected text in GtkTextView

    id set {string}
        Clear the textbuffer to the contents of string.

    -------
    TO BE DEVELOPED
    -------

    options
        -variable  ...similar to entry variable
    -------

    id setCursor index
        Sets the cursor to position index.

    id spawn
        Creates a new GtkTextview to display the contents of the GtkTextBuffer displayed in id.
        The properties of the parent widget are copied to the child.
        Returns:    name of new GtkTextView widget.

    id insert index text ?-tags taglist?
        Inserts and position indext the text text. If taglist is given the text is taged
        with each element of the list.

    id mark create markName [-option value...]
        Creates a mark with name markName at position ....

        Specific Options
            -visibile
                type: Boolean, 1 (visible) or 0 (hidden), default = 0.
                Specifies wether a marker should be displayed indicating the location of the
                mark within the text buffer.

            -gravity
                Possible choices are left or right, default = right.
                Specifies wether the mark should be aligned to the left or right side of the
                previous character. Writing systems written from right to left such as Arabic or Hebrew
                require a marker with with left gravity.

    id mark delete markName
        Deletes mark with name nameMark from the text buffer.

    id mark getIndex markName
        Returns the position position of the specified mark as list of its row and column.

    id tag create tagName [-option value...]
        Creates a tag with name tagName and configures it dependent of the options given.
        The options are the same as with tag configure.

    id scrollToPosition index [-option value...]
        Scrolls the widget so that the specified index is visible.

        Specific Options
            -align
                type: a list of the horizontal and vertical alignment or one of topLeft,
                top, topRight, left, center, right, bottomLeft, bottom, or bottomRight
                Specifies where the index shall be shown.

            -margin
                type: 0 lt float lt 1
                Specifies the margin.

    id scrollToMark mark-name
        Scrolls the widget so that the specified mark is visible.

    id search forwards <string> [-options value]

    id search backwards <string> [-options value]

    id tag apply startIndex ?endIndex? -tags taglist?
        Applies the list of tags to a range of specified text.

    id tag remove startIndex ?endIndex? -tags taglist?
        Removes the list of tags from a range of specified text.

    if tag get Index
        Returns a list of the tags applied to the specified index.

    id tag configure tagName [-option value...]
        Configures the existing tag tagName.

        Tag Specific Options
            -background
                type: color
                Background color of the text.

            -foreground
                type: color
                Foreground color of the text.

            -font
                type: FONT
                Font of the text.

            -fontFamily
                Font family of the text.

            -fontStyle
                type: ONEOF normal, oblique, italic (default: normal)
                Font style of the text.

            -fontVariant
                type: ONEOF normal, smallCaps (default: normal)
                Font variant of the text.

            -fontWeight
                type: ONEOF ultralight, light, normal, bold, ultrabold, heavy (default: normal)
                Font weight of the text.

            -fontRise
                type: integer (default: 0)
                How many pixels the text should be risen.

            -fontStretch
                type: ONEOF ultraCondensed, extraCondensed, condensed, semiCondensed, normal,
                semiExpanded, expanded, extraExpanded, ultraExpanded (default: normal)
                Font stretch of the text.

            -fontSize
                type: integer
                Font size of the text.

            -fontScale
                type: float ORONEOF xx-small, x-small, small, medium, large, x-large,
                xx-large (default: normal)
                Font scale used.

            -wrapMode
                type: ONEOF none, char, word
                Wrap mode used.

            -justify
                type: ONEOF left, right, center, fill
                Justification of the lines.

            -strikethrough
                type: boolean (default: 0)
                Whether the text is struck through.

            -underline
                type: ONEOF none, single, double, low (default: none)
                How the text should be underlined.

            -editable
                type: boolean (default: 0)
                Whether the text can be edited.

            -invisible
                type: boolean (default: 0)
                Whether the text is invisible.

            -onEvent
                type: string (default: "")
                description ****  PUT PERCENT STRING SUBSTITURTIONS HERE ****

    id class
        Returns the class type of this widget, ie., text.

    id getLineCount
        Returns the total number of text lines in the widget.

    id getLineLength index
        Returns the total number of characters in the line position <index>.
